Bug 1471267 - Please include grub-mount in grub-tools package, it is needed by os-prober now
Summary: Please include grub-mount in grub-tools package, it is needed by os-prober now
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1447156 1715578
TreeView+ depends on / blocked
 
Reported: 2017-07-14 20:51 UTC by Hedayat Vatankhah
Modified: 2019-10-15 06:27 UTC (History)
5 users (show)

Fixed In Version: grub2-2.02-81.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-15 06:27:00 UTC
Type: Bug


Attachments (Terms of Use)
Dist-Git patch to add grub2-mount to grub2-tools-minimal subpackage (2.69 KB, application/mbox)
2019-05-04 00:49 UTC, Neal Gompa
no flags Details

Description Hedayat Vatankhah 2017-07-14 20:51:42 UTC
Description of problem:
os-prober 1.75 has dropped device-mapper support for mounting partitions (apparently, it is problematic) and now requires grub-mount command to function. Would you please enable building grub-mount (grub2-mount) so that I can build newer versions of os-prober for Fedora?

Currently, newer os-prober versions doesn't detect anything on Fedora, due to missing grub-mount command.

Comment 1 Jan Kurik 2017-08-15 08:18:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Fedora End Of Life 2018-02-20 15:27:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Hedayat Vatankhah 2018-03-08 21:18:29 UTC
Still waiting for a response...

Comment 4 Jan Kurik 2018-08-14 10:18:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Neal Gompa 2019-05-04 00:49:26 UTC
Created attachment 1562829 [details]
Dist-Git patch to add grub2-mount to grub2-tools-minimal subpackage

Here's a proposed patch to build grub2-mount and add it to the grub2-tools-minimal subpackage for os-prober to use.

It builds and works cleanly locally.

Comment 6 Javier Martinez Canillas 2019-05-06 15:55:16 UTC
(In reply to Neal Gompa from comment #5)
> Created attachment 1562829 [details]
> Dist-Git patch to add grub2-mount to grub2-tools-minimal subpackage
> 
> Here's a proposed patch to build grub2-mount and add it to the
> grub2-tools-minimal subpackage for os-prober to use.
> 
> It builds and works cleanly locally.

Thanks Neal for the patch. I noticed that you missed to remove the --disable-grub-mount for the legacy build variant, fixed that and did a grub2-2.02-81.fc31 with your change.

Comment 7 Hedayat Vatankhah 2019-05-16 13:04:36 UTC
Thank you for the update. Is it possible to have this update for F30 too?

Comment 8 Hedayat Vatankhah 2019-05-16 13:26:26 UTC
Oops, I just found that os-prober also depends on grub2-probe, which is also provided by grub2-tools. Should I open a new bug to move grub2-probe to grub2-tools-minimal? Or maybe just add grub2-tools as a circular dependency? :P

Comment 9 Neal Gompa 2019-05-31 11:14:05 UTC
(In reply to Hedayat Vatankhah from comment #8)
> Oops, I just found that os-prober also depends on grub2-probe, which is also
> provided by grub2-tools. Should I open a new bug to move grub2-probe to
> grub2-tools-minimal? Or maybe just add grub2-tools as a circular dependency?
> :P

I'd suggest opening a new BZ for moving that to grub2-tools-minimal. Circular dependencies are not good...

Comment 10 Hedayat Vatankhah 2019-05-31 22:08:50 UTC
Thanks, its done: bug #1715994

Can I have a definite answer: will these also fixed for F30 or not?

Comment 11 Ben Cotton 2019-08-13 16:56:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 12 Ben Cotton 2019-08-13 19:04:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.